- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- File List
- File Members

# ServantRetentionPolicyC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/PortableServer/portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PolicyC.h"`

Include dependency graph for ServantRetentionPolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
class | PortableServer::ServantRetentionPolicy
struct | TAO::Objref_Traits< ::PortableServer::ServantRetentionPolicy >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY__VAR_OUT_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY__TRAITS_
## Typedefs
typedef ServantRetentionPolicyValue & | PortableServer::ServantRetentionPolicyValue_out
typedef ServantRetentionPolicy * | PortableServer::ServantRetentionPolicy_ptr
typedef TAO_Objref_Var_T< ServantRetentionPolicy > | PortableServer::ServantRetentionPolicy_var
typedef TAO_Objref_Out_T< ServantRetentionPolicy > | PortableServer::ServantRetentionPolicy_out
## Enumerations
enum | PortableServer::ServantRetentionPolicyValue { PortableServer::RETAIN, PortableServer::NON_RETAIN }
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, PortableServer::ServantRetentionPolicyValue)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::ServantRetentionPolicyValue &)

## Define Documentation

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY__TRAITS_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY__VAR_OUT_CH_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | PortableServer::ServantRetentionPolicyValue |  |
| ) |  |  |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::ServantRetentionPolicyValue & |  |
| ) |  |  |